

#ifndef OSTDB_SETUP_INCLUDED
#define OSTDB_SETUP_INCLUDED


/* --------------------------------------------------------------------- */

int ostdb_connect (
   const int  proc_num,              /* i: database connection number    */
   const int  dbms_type,             /* i: database type :STDB_SYBASE    */
   const char *db_server,            /* i: server name or logical        */
   const char *db_name,              /* i: database name or logical      */
   long  (*usr_error_handler)()      /* i: error_handler address	 */
   );

/* --------------------------------------------------------------------- */

int ostdb_connect_fc (
    const int  *proc_num,              /* i: database process number        */
    const int  *dbms_type,             /* i: database type : STDB_SYBASE    */
    const void *server_ptr,            /* i: server name                    */
    const int  *server_len,            /* i: length of server name          */
    const void *db_ptr,                /* i: database name                  */
    const int  *db_len,                /* i: length of database name        */
    long  (*usr_error_handler)()       /* i: error handler address          */
    );

/* --------------------------------------------------------------------- */

void ostdb_setup(
   const int  db_index,         /* i: database connection number    */
   const int  setup_code,       /* i: tunable parameter to be set   */
   const char *param            /* i: parameter value               */
   );

/* --------------------------------------------------------------------- */

void ostdb_setup_fc(
   const int  *db_index,	/* i: database connection number    */
   const int  *setup_code,	/* i: tunable parameter to be set   */
   const void *param,		/* i: parameter value		    */
   const int  *param_len	/* i: length of parameter value	    */
   );

/* --------------------------------------------------------------------- */

void ostdb_query_setup(
   const int  proc_num,     /* i: database connection number                 */
   const char *module_name, /* i: name of module containing the query        */
   const int  query_number, /* i: number of query within that module         */
   const int  ql_type,      /* i: query language type:  STDB_IQL or STDB_SQL */
   const char *server,      /* i: server logical name                        */
   const char *dbname,      /* i: database logical name                      */
   long  (*usr_error_handler)()  /* i: error_handler address                 */
   );

/* --------------------------------------------------------------------- */

void ostdb_query_setup_fc (
    const int  *proc_num,     /* i: database connection number		      */
    const void *module_ptr,   /* i: name of module containing query           */
    const int  *module_len,   /* i: length of module name                     */
    const int  *query_number, /* i: number of query within that module        */
    const int  *ql_type,      /* i: query language type: STDB_IQL or STDB_SQL */
    const void *server_ptr,   /* i: server name                               */
    const int  *server_len,   /* i: length of server name                     */
    const void *db_ptr,       /* i: database name                             */
    const int  *db_len,       /* i: length of database name                   */
    long  (*usr_error_handler)() /* i: error_handler address                  */
    );

/* --------------------------------------------------------------------- */

int ostdb_connected_query_setup(
   const int  proc_num,              /* i: database connection number         */
   const char *module_name,          /* i: name of module containing query    */
   const int  query_number,          /* i: number of query within that module */
   long  (*usr_error_handler)()      /* i: error_handler address              */
   );

/* --------------------------------------------------------------------- */

void ostdb_connected_query_setup_fc (
    const int  *proc_num,             /* i: databse process number            */
    const void *module_ptr,           /* i: name of module containing query   */
    const int  *module_len,           /* i: length of module name             */
    const int  *query_number,         /* i: number of query within the module */
    long  (*usr_error_handler)()      /* i: error handler address             */
    );

#endif /* OSTDB_SETUP_INCLUDED */

/* NO CODE BEYOND THIS #ENDIF */

